<?php

namespace App\Repositories\Presenters\CMS;

use App\Repositories\Transformers\CMS\ArticleTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class ArticlePresenter.
 *
 * @package namespace App\Repositories\Presenters\CMS;
 */
class ArticlePresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new ArticleTransformer();
    }
}
