<?php

namespace App\Repositories\Eloquent\Inform;

use Prettus\Repository\Eloquent\BaseRepository;
use Prettus\Repository\Criteria\RequestCriteria;
use App\Contracts\Repositories\Inform\UserMessageRepository;
use App\Repositories\Models\Inform\UserMessage;
use App\Repositories\Validators\Inform\UserMessageValidator;

/**
 * Class UserMessageRepositoryEloquent.
 *
 * @package namespace App\Repositories\Eloquent\Inform;
 */
class UserMessageRepositoryEloquent extends BaseRepository implements UserMessageRepository
{
    /**
     * Specify Model class name
     *
     * @return string
     */
    public function model()
    {
        return UserMessage::class;
    }

    /**
     * Specify Validator class name
     *
     * @return mixed
     */
    public function validator()
    {

        return UserMessageValidator::class;
    }


    /**
     * Boot up the repository, pushing criteria
     */
    public function boot()
    {
        $this->pushCriteria(app(RequestCriteria::class));
    }

}
