<?php

namespace App\Repositories\Models\TCM;

use App\Repositories\Models\Model;
use Prettus\Repository\Contracts\Transformable;
use Prettus\Repository\Traits\TransformableTrait;

/**
 * Class Drug.
 *
 * @package namespace App\Repositories\Models\TCM;
 */
class Drug extends Model implements Transformable
{
    use TransformableTrait;

    protected $table = 'tcm_drugs';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $guarded = [];

    protected static function booted()
    {
        self::language();
    }

}
