<?php

namespace App\Repositories\Presenters\Base;

use App\Repositories\Transformers\Base\RoleTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class RolePresenter.
 *
 * @package namespace App\Repositories\Presenters\Base;
 */
class RolePresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new RoleTransformer();
    }
}
