<?php

namespace App\Repositories\Presenters\Course;

use App\Repositories\Transformers\Course\VideoTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class CourseVideoPresenter.
 *
 * @package namespace App\Repositories\Presenters;
 */
class VideoPresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new VideoTransformer();
    }
}
