<?php

namespace App\Repositories\Presenters;

use App\Repositories\Transformers\ResourceTransformer;
use Prettus\Repository\Presenter\FractalPresenter;

/**
 * Class ResourcePresenter.
 *
 * @package namespace App\Repositories\Presenters;
 */
class ResourcePresenter extends FractalPresenter
{
    /**
     * Transformer
     *
     * @return \League\Fractal\TransformerAbstract
     */
    public function getTransformer()
    {
        return new ResourceTransformer();
    }
}
